import { z, defineCollection } from 'astro:content';

const blogCollection = defineCollection({
  type: 'content',
  schema: z.object({
    title: z.string(),
    description: z.string(),
    category: z.string(),
    lastUpdate: z.string()
  }),
});
const noteCollection = defineCollection({
  type: 'content',
  schema: z.object({
    title: z.string(),
    description: z.string(),
    category: z.string(),
    lastUpdate: z.string()
  }),
});
const translationCollection = defineCollection({
  type: 'content',
  schema: z.object({
    title: z.string(),
    description: z.string(),
    category: z.string(),
    lastUpdate: z.string()
  }),
});

export const collections = {
  'blog': blogCollection,
  'note': noteCollection,
  'translation': translationCollection,
};